Bug 862010 - xrandr Can't open display with selinux
xrandr Can't open display with selinux
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 11:18 EDT by Pierre Blavy
Modified: 2013-07-04 04:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 04:56:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Blavy 2012-10-01 11:18:31 EDT
Description of problem:
After a fresh install of Fedora with KFCE xrandr command do not work
Disabling selinux is a workaround


Version-Release number of selected component (if applicable):
1.3.5


How reproducible:
always

Steps to Reproduce:
1. Open a terminal in XFCE
2. su -
3. xrandr
  
Actual results:
Can't open display :0.0

Expected results:
xrandr should work and detect new screens

Additional info:
This is a selinux mess!

setenforce 0
restart x (alt + ctrl + backspace)
xrandr 
--> display my laptop screen OK
--> do not display my other screen (something else may be wrong, i'll investigate after selinux is fixed)
Comment 1 Miroslav Grepl 2012-10-02 05:10:33 EDT
We need to see AVC msg. Could you collect them in permissive mode

# ausearch -m avc -ts recent
Comment 2 Fedora End Of Life 2013-07-04 00:32:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.